### Function

# Qmi MessageUimRefreshRegisterAllInput new

since: 1.28

#### Declaration [src]

    QmiMessageUimRefreshRegisterAllInput*
    qmi_message_uim_refresh_register_all_input_new (
      void
    )

#### Description [src]

Allocates a new `QmiMessageUimRefreshRegisterAllInput`.

Available since: 1.28

#### Return value

Type: `QmiMessageUimRefreshRegisterAllInput`

The newly created `QmiMessageUimRefreshRegisterAllInput`. The returned value should be freed with qmi_message_uim_refresh_register_all_input_unref().

The caller of the function takes ownership of the data, and is responsible for freeing it.